import request from '@/utils/request'
//获取待排产的工序
export function queryProcessToSchedule(data) {
  return request({
    url: '/outassistBusiness/queryProcessToSchedule',
    method: 'post',
    params: data
  })
}
//前台获取反馈组列表,带工序
export function queryFeedbackGroupWithTasks(data) {
  return request({
    url: '/outassistDoc/queryFeedbackGroupWithTasks',
    method: 'post',
    params: data
  })
}

//批量工序排产
export function scheduleProcess(data) {
  return request({
    url: '/outassistBusiness/scheduleProcess',
    method: 'post',
    params: data
  })
}
//后台获取工序列表
export function getCraftInfoList(data) {
  return request({
    url: '/outassistDoc/getCraftInfoList',
    method: 'post',
    params: data
  })
}

//工序排序/重新分配
export function scheduleProcessSort(data) {
  return request({
    url: '/outassistBusiness/scheduleProcessSort',
    method: 'post',
    data: data
  })
}
//工序退回至待排产
export function scheduleProcessBack(data) {
  return request({
    url: '/outassistBusiness/scheduleProcessBack',
    method: 'post',
    params: data
  })
}


//修改
export function updateInfo(data) {
  return request({
    url: '/outassistBusiness/updateCraftBill',
    method: 'post',
    params: data
  })
}

//禁用外协单来源厂信息
export function voidInfo(data) {
  return request({
    url: '/outassistBusiness/voidCraftBill',
    method: 'post',
    params: data
  })
}
//前台获取反馈组列表,带工序统计信息
export function calcFeedbackGroupTaskCollectInfo(data) {
  return request({
    url: '/outassistDoc/calcFeedbackGroupTaskCollectInfo',
    method: 'post',
    params: data
  })
}

//前台获取反馈组列表,带工序统计信息
export function getFeedbackGroupWithTasks(data) {
  return request({
    url: '/outassistDoc/getFeedbackGroupWithTasks',
    method: 'post',
    params: data
  })
}
//用关键字查找任务再哪个反馈组上
export function findFeedbackGroupByKeyWord(data) {
  return request({
    url: '/outassistDoc/findFeedbackGroupByKeyWord',
    method: 'post',
    params: data
  })
}




